Debian dla-3726:bind9 - 安全更新

high Nessus 插件 ID 189836

简介

远程 Debian 主机缺少与安全相关的更新。

描述

远程 Debian 10 主机上安装的多个程序包受到 dla-3726 公告中提及的一个漏洞影响。

- 在数据包解析期间,处理发送到 `named` 的控制通道消息的代码会以递归方式调用某些函数。递归深度仅受最大可接受数据包大小限制;根据环境的不同,这可能会导致数据包解析代码耗尽可用的堆栈内存,从而导致 `named` 意外终止。对每条传入控制通道消息进行充分解析,其内容就会通过验证,因此攻击者无需持有有效的 RNDC 密钥,就能利用此缺陷;
只需要对控制通道的已配置 TCP 端口具有网络访问权限即可。此问题影响 BIND 9 版本 9.2.0 至 9.16.43、9.18.0 至 9.18.18、9.19.0 至 9.19.16、9.9.3-S1 至 9.16.43-S1 和 9.18.0-S1 至 9.18.18-S1。(CVE-2023-3341)

请注意,Nessus 尚未测试此问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

升级 bind9 程序包。

另见

https://security-tracker.debian.org/tracker/source-package/bind9

https://security-tracker.debian.org/tracker/CVE-2023-3341

https://packages.debian.org/source/buster/bind9

插件详情

严重性: High

ID: 189836

文件名: debian_DLA-3726.nasl

版本: 1.1

类型: local

代理: unix

发布时间: 2024/1/31

最近更新时间: 2024/2/16

支持的传感器: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent, Nessus

风险信息

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: High

基本分数: 7.8

时间分数: 5.8

矢量: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

CVSS 分数来源: CVE-2023-3341

CVSS v3

风险因素: High

基本分数: 7.5

时间分数: 6.5

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:debian:debian_linux:bind9, p-cpe:/a:debian:debian_linux:bind9-doc, p-cpe:/a:debian:debian_linux:bind9-host, p-cpe:/a:debian:debian_linux:bind9utils, p-cpe:/a:debian:debian_linux:dnsutils, p-cpe:/a:debian:debian_linux:libbind-dev, p-cpe:/a:debian:debian_linux:libbind-export-dev, p-cpe:/a:debian:debian_linux:libbind9-161, p-cpe:/a:debian:debian_linux:libdns-export1104, p-cpe:/a:debian:debian_linux:libdns1104, p-cpe:/a:debian:debian_linux:libirs-export161, p-cpe:/a:debian:debian_linux:libirs161, p-cpe:/a:debian:debian_linux:libisc-export1100, p-cpe:/a:debian:debian_linux:libisc1100, p-cpe:/a:debian:debian_linux:libisccc-export161, p-cpe:/a:debian:debian_linux:libisccc161, p-cpe:/a:debian:debian_linux:libisccfg-export163, p-cpe:/a:debian:debian_linux:libisccfg163, p-cpe:/a:debian:debian_linux:liblwres161, cpe:/o:debian:debian_linux:10.0

必需的 KB 项: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

易利用性: No known exploits are available

补丁发布日期: 2024/1/30

漏洞发布日期: 2023/9/20

参考资料信息

CVE: CVE-2023-3341

IAVA: 2023-A-0500-S